package com.ejie.ad74a.ws.client.platea.model.ejgvDocument;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Cuerpo de evento de notificación de PLATEA
 * 
 * @author ansanvic
 * 
 */
@XmlRootElement(name = "detailInfo")
@XmlAccessorType(XmlAccessType.FIELD)
public class Ad74aDetailInfo {

	@XmlElement(name = "datosOrganoGestor")
	private Ad74aDatosOrganoGestor datosOrganoGestor;

	@XmlElement(name = "datosSolicitante")
	private Ad74aDatosSolicitante datosSolicitante;

	@XmlElement(name = "pestanaNotificacion")
	private Ad74aPestanaNotificacion pestanaNotificacion;

	@XmlElement(name = "idiomaFormulario")
	private String idiomaFormulario;

	@XmlElement(name = "procedimientoId")
	private String procedimientoId;

	@XmlElement(name = "Solicitante")
	private Ad74aSolicitante solicitante;

	@XmlElement(name = "datosModificacion")
	private Ad74aDatosModificacion datosModificacion;

	@XmlElement(name = "pestanaContactos")
	private Ad74aPestanaContactos pestanaContactos;

	@XmlElement(name = "pestanaMotivoSolInforme")
	private Ad74aPestanaMotivoSolInforme pestanaMotivoSolInforme;

	@XmlElement(name = "exencionPago")
	private Ad74aExencionPago exencionPago;

	@XmlElement(name = "pestanaDatosBancarios")
	private Ad74aPestanaDatosBancarios pestanaDatosBancarios;

	@XmlElement(name = "obligacionComunicacion")
	private Ad74aObligacionComunicacion obligacionComunicacion;

	@XmlElement(name = "pestanaDatosServicio")
	private Ad74aPestanaDatosServicio pestanaDatosServicio;

	@XmlElement(name = "existeInstalacion")
	private Ad74aExisteInstalacion existeInstalacion;

	@XmlElement(name = "datosBaja")
	private Ad74aDatosBaja datosBaja;

	public Ad74aDatosOrganoGestor getDatosOrganoGestor() {
		return datosOrganoGestor;
	}

	public void setDatosOrganoGestor(Ad74aDatosOrganoGestor datosOrganoGestor) {
		this.datosOrganoGestor = datosOrganoGestor;
	}

	public Ad74aDatosSolicitante getDatosSolicitante() {
		return datosSolicitante;
	}

	public void setDatosSolicitante(Ad74aDatosSolicitante datosSolicitante) {
		this.datosSolicitante = datosSolicitante;
	}

	public Ad74aPestanaNotificacion getPestanaNotificacion() {
		return pestanaNotificacion;
	}

	public void setPestanaNotificacion(Ad74aPestanaNotificacion pestanaNotificacion) {
		this.pestanaNotificacion = pestanaNotificacion;
	}

	public String getIdiomaFormulario() {
		return idiomaFormulario;
	}

	public void setIdiomaFormulario(String idiomaFormulario) {
		this.idiomaFormulario = idiomaFormulario;
	}

	public String getProcedimientoId() {
		return procedimientoId;
	}

	public void setProcedimientoId(String procedimientoId) {
		this.procedimientoId = procedimientoId;
	}

	public Ad74aSolicitante getSolicitante() {
		return solicitante;
	}

	public void setSolicitante(Ad74aSolicitante solicitante) {
		this.solicitante = solicitante;
	}

	public Ad74aPestanaContactos getPestanaContactos() {
		return pestanaContactos;
	}

	public void setPestanaContactos(Ad74aPestanaContactos pestanaContactos) {
		this.pestanaContactos = pestanaContactos;
	}

	public Ad74aPestanaMotivoSolInforme getPestanaMotivoSolInforme() {
		return pestanaMotivoSolInforme;
	}

	public void setPestanaMotivoSolInforme(Ad74aPestanaMotivoSolInforme pestanaMotivoSolInforme) {
		this.pestanaMotivoSolInforme = pestanaMotivoSolInforme;
	}

	public Ad74aExencionPago getExencionPago() {
		return exencionPago;
	}

	public void setExencionPago(Ad74aExencionPago exencionPago) {
		this.exencionPago = exencionPago;
	}

	public Ad74aPestanaDatosBancarios getPestanaDatosBancarios() {
		return pestanaDatosBancarios;
	}

	public void setPestanaDatosBancarios(Ad74aPestanaDatosBancarios pestanaDatosBancarios) {
		this.pestanaDatosBancarios = pestanaDatosBancarios;
	}

	public Ad74aObligacionComunicacion getObligacionComunicacion() {
		return obligacionComunicacion;
	}

	public void setObligacionComunicacion(Ad74aObligacionComunicacion obligacionComunicacion) {
		this.obligacionComunicacion = obligacionComunicacion;
	}

	public Ad74aPestanaDatosServicio getPestanaDatosServicio() {
		return pestanaDatosServicio;
	}

	public void setPestanaDatosServicio(Ad74aPestanaDatosServicio pestanaDatosServicio) {
		this.pestanaDatosServicio = pestanaDatosServicio;
	}

	public Ad74aExisteInstalacion getExisteInstalacion() {
		return existeInstalacion;
	}

	public void setExisteInstalacion(Ad74aExisteInstalacion existeInstalacion) {
		this.existeInstalacion = existeInstalacion;
	}

	public Ad74aDatosModificacion getDatosModificacion() {
		return datosModificacion;
	}

	public void setDatosModificacion(Ad74aDatosModificacion datosModificacion) {
		this.datosModificacion = datosModificacion;
	}

	public Ad74aDatosBaja getDatosBaja() {
		return datosBaja;
	}

	public void setDatosBaja(Ad74aDatosBaja datosBaja) {
		this.datosBaja = datosBaja;
	}

}
